function degreesum( FolderPath,OutPath,number )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
numbe=str2num(number)
FolderNamelist=dir(FolderPath);
[Fm Fn]=size(FolderNamelist);
for FolderNum=1:Fm
FolderName= FolderNamelist(FolderNum,1).name
if FolderName ~= '.'
dataPath=strcat(FolderPath,'\',FolderName)
%mkdir(strcat(OutPath,'\',FolderName))
readlist=dir(strcat(dataPath,'\*.mat'));
[m n]=size(readlist);
 for i=1:m
        matName=readlist(i,1).name;
        matPath=strcat(dataPath,'\',matName);
       NetworkProp = importdata(matPath);
       %display(NetworkProp);
       for rnum=1:numbe
           display(NetworkProp(rnum,2));
           if(NetworkProp(rnum,1)==rnum)
           NetworkProp(rnum,4)=NetworkProp(rnum,2)+ NetworkProp(rnum,3);
           else NetworkProp=[NetworkProp(1:rnum-1,:);[0,0,0,0];NetworkProp(rnum:end,:);]
               display(NetworkProp)
            %    save(strcat(strcat('E:\p\P_modify\R\R_DegreeSum\R_DegreeSum_MDD','\','Sum',FolderName),'\',matName),'NetworkProp')
           end
       end
     %  save(strcat(OutPath,'\Degree\',FolderName,'\',matName),'NetworkProp')
        save(strcat(OutPath,'\',FolderName,'\',matName),'NetworkProp')
       NetworkProp=[];
 end
           
end
end
end

